/**
 * 
 */
package gov.va.med.cds.filter;


/**
 * @author susarlan
 *
 */
public class QueryParameter<T> 
{
	private String name;
	private T value;
	private String type;

	public String getName() 
	{
		return name;
	}
	
	public T getValue() 
	{
		return value;
	}
	
	public void setName(String name)
	{
		this.name = name;
	}
	
	public String getType( )
    {
        return type;
    }
	
	public void setValue(T value)
	{
		this.value = value;
	}
	
	public void setType( String type )
    {
        this.type = type;
    }
}
